// Definitions for the automated inclusion into the parser
// LABEL:		bc1dimer2_c1ox
// CLASSNAME:	ObservableBC1Dimer2c1ox
// 
#ifndef OBSERVABLE_BC1D2C1OX_H
#define OBSERVABLE_BC1D2C1OX_H

#include "observable.h"
#include "proteinBC1Dimer_2.h"
#include "parameter.h"
#include <math.h>


//! Observable that counts how many c1 of the bc1Dimer_2 are oxidized

//! There are no specific parameters.

class ObservableBC1Dimer2c1ox : public Observable
{
	public:
	
	//! Constructor
	ObservableBC1Dimer2c1ox(const std::string name);
	//! Destructor
	~ObservableBC1Dimer2c1ox();

	//! Calculate and return the number of oxidized c1 domains
	double get_value();
	
	//! Parser for line from input file: no parameters to fiddle with :-)
	bool parseLine(char *linep) { return(true); }
	
	private:
	//! verify that all neccessary pools are defined: empty -- no pools
	void verify_pools() { };

};
#endif /* OBSERVABLE_BC1D2C1OX_H */
