#include "observable.h"
#include "observableOnOffList.h"

using namespace std;

// #define DEBUG


ObservableOnOffList::ObservableOnOffList(const string name) :
Observable::Observable(name)
{
	maxIdx = 0;
}



bool ObservableOnOffList::parseLine(char *linep) 
{
	char  dummy[128];
	int num_of_proteins;

	// read date into the variable
	if(sscanf(linep, "%s %s %ld", dummy, dummy, &maxIdx) != 3) {
		cerr << "Simulation::parseFile: not enough parameters for OnOff_list line >>" << linep << "<<" << endl;
		exit(-2);
	}
	
	#ifdef DEBUG
	cout << "------------------" << endl;
	cout << "   OnOff_list: read: " << maxIdx << endl;
	#endif
	
	return(true);
}




std::string ObservableOnOffList::get_formattedValue()
{
	string PName;
	char helper[128];
	list<Protein*>::iterator iter;
	ProteinOnOff* pp;

	string result = "";
	
	#ifdef DEBUG
	cout << "ObservableOnOffList:get_value: start" << endl;
	#endif
	
	// this way to loop first over the labels and then over the proteins is not efficient,
	// but as output is infrequent, we get away with that...
	for(int idx = 1; idx <= maxIdx; idx++) 
	{
		sprintf(helper, "OnOff_%ld", idx);

		#ifdef DEBUG
		cout << "ObservableOnOffList:get_value: helper = " << helper << endl;
		#endif

		for (iter = (*Proteins).begin(); iter != (*Proteins).end() ; iter++) {
			PName = (*iter)->readMyName();
		
			#ifdef DEBUG
			cout << "ObservableOnOffList:get_value: PName = " << PName << endl;
			#endif
		
			if(PName == string(helper))
			{
				pp = static_cast<ProteinOnOff*>(*iter);
				if(pp->get_state()) {
					result += "X";
				} else {
					result += ".";
				}
			}
		}
	}
	
	return(result);
}
