#include "observable.h"
#include "observableRCSpecialPairOx.h"

using namespace std;

// #define DEBUG


ObservableSpecialPairOx::ObservableSpecialPairOx(const string name) :
Observable::Observable(name)
{ }



// empty function as a wrapper for debug output - no pools required
void ObservableSpecialPairOx::verify_pools() 
{
	#ifdef DEBUG
	cout << "ObservableSpecialPairOx:verify_pools" << endl;
	#endif
	;
}


double ObservableSpecialPairOx::get_value()
{
	string PName;
	unsigned long int oxidized=0, sum=0;
	
	list<Protein*>::iterator iter;
	ProteinRC* pp;
	
	#ifdef DEBUG
	cout << "ObservableSpecialPairOx:get_value: start" << endl;
	#endif
	
	for (iter = (*Proteins).begin(); iter != (*Proteins).end() ; iter++) {
		PName = (*iter)->readMyName();
		
		#ifdef DEBUG
		cout << "ObservableSpecialPairOx:get_value: PName = " << PName << endl;
		#endif
		
		if(PName.substr(0,3) == "RC_")
		{
			pp = static_cast<ProteinRC*>(*iter);
			oxidized += 1 - (pp->get_SPe());		// get the oxidized ones, i.e., those without an e-
			sum ++;

			#ifdef DEBUG
			cout << "ObservableSpecialPairOx:get_value: oxidized = " << oxidized << "  sum = " << sum << endl;
			#endif
		}
	}

	if(sum > 0) {
		return(static_cast<double>(oxidized) / static_cast<double>(sum));
	} else {
		return(0.0);
	}
}
