#ifndef Parameter_h
#define Parameter_h

//! some physical constants are saved here. 
//! SI units are used throughout, except for:
//! * time is given in microseconds [\mu s]
//! * lengths are given in nanometers [nm]
//! * charges are given in units of elementary charges [e_0] (1 C = 6.2415e18 e_0)

//! epsilon(vacuum): 8.854 * 10^-12 C/Vm
const double EPSILON_0 = 5.526e-5;  // [e_0 /(mV nm) ]

// #define M_PI 3.14159265

#endif // Parameter_h
